Get Single Workspace
curl --request GET \
--url https://eu-gcp-api.vg-stuff.com/v3/workspaces/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu-gcp-api.vg-stuff.com/v3/workspaces/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu-gcp-api.vg-stuff.com/v3/workspaces/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uid": "<string>",
"email": "<string>",
"displayName": "<string>",
"workspaceName": "<string>",
"workspaceEmails": [
"<string>"
],
"photoURL": "<string>",
"region": "<string>",
"hasEverPaid": true
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Workspaces
Get Workspace By ID
Gets a workspace, this route must use the new V3 endpoints.
GET
/
workspaces
/
{id}
Get Single Workspace
Returns full workspace details including team members and configuration.
Use this endpoint to check workspace settings before making updates or to verify team membership.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
